Bug 175089 - CVE-2005-3193 xpdf issues (CVE-2005-3191 CVE-2005-3192)
Summary: CVE-2005-3193 xpdf issues (CVE-2005-3191 CVE-2005-3192)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xpdf   
(Show other bugs)
Version: 4
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Mike McLean
URL:
Whiteboard: impact=important,reported=20051103,pu...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-06 15:38 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 18:50:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-12-06 15:38:29 UTC
+++ This bug was initially created as a clone of Bug #173888 +++

Derek Noonburg sent us a patch for xpdf to correct a number of security issues.
 This is due to be public 20051201.

An attacker could construct a carefully crafted PDF file that could cause Xpdf
to crash or possibly execute arbitrary code when opened. 

This issue affects RHEL3, RHEL3, RHEL2.1

-- Additional comment from mjc@redhat.com on 2005-11-22 03:42 EST --
Created an attachment (id=121332)
Proposed patch from Derek

Comment 1 Josh Bressers 2005-12-06 18:32:10 UTC
These issues have been fixed in FEDORA-2005-1121 and FEDORA-2005-1122.

Comment 2 Josh Bressers 2005-12-14 15:25:19 UTC
The original fix for this issue was incomplete.

Comment 3 Josh Bressers 2005-12-14 15:30:30 UTC
The patches for these issues are in attachment 122226 [details] and attachment 122227 [details].

The sooner we can have new packages rolled the better as the Christmas holiday
is quickly approaching.

Comment 4 Josh Bressers 2005-12-14 16:13:32 UTC
There aren't currently any reproducers for these issues.

Please note that these issues affect xpdf, kdegraphics, cups, gpdf, tetex and
poppler.  Some cooperation will probably make things easier.

Comment 5 Ngo Than 2005-12-16 20:52:35 UTC
it's now fixed in xpdf-3.01-0.FC3.4 and xpdf-3.01-0.FC4.5

Comment 6 Fedora Update System 2005-12-17 06:57:48 UTC
From User-Agent: XML-RPC

xpdf-3.01-0.FC4.5 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 7 Fedora Update System 2005-12-17 06:58:03 UTC
From User-Agent: XML-RPC

xpdf-3.01-0.FC3.4 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.